package com.rjconsultores.ventaboletos.enums;

import org.zkoss.util.resource.Labels;

public enum TipoCarteiraDigital {
	
	TROCO_SIMPLES(Labels.getLabel("editarFormaPagoController.lblCateiraDigitalTrocoSimples.label")),
	TEF(Labels.getLabel("editarFormaPagoController.lblCateiraDigitalTef.label")),
	TPI(Labels.getLabel("editarFormaPagoController.lblCateiraDigitalTpi.label")),
	CIELO_LINK(Labels.getLabel("editarFormaPagoController.lblCateiraDigitalCielo.label")),
	IZIPAY(Labels.getLabel("editarFormaPagoController.lblCateiraDigitalIziPay.label"));
	
	private String descricao;
	
	private TipoCarteiraDigital(String descricao) {
		this.descricao = descricao;
	}

	public String getDescricao() {
		return descricao;
	}
	
	@Override
	public String toString() {
		return getDescricao();
	}

}
